Bug 994458 - "vdsm: Failed to define network filters on libvirt[FAILED]" on every reboot of RHS 2.1.
"vdsm: Failed to define network filters on libvirt[FAILED]" on every reboot o...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Timothy Asir
Sudhir D
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 06:37 EDT by Gowrishankar Rajaiyan
Modified: 2013-11-14 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 18:08:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-08-07 06:37:26 EDT
Description of problem: On a pristine system, "vdsm: Failed to define network filters on libvirt[FAILED]" is displayed on every reboot. This is not seen on the first boot though.


Version-Release number of selected component (if applicable):
RHS-2.1-20130806.n.2

How reproducible: Always


Steps to Reproduce:
1. Install RHS 2.1
2. Restart the system post successful installation.
3. Observe the boot message.

Actual results:

Starting sanlock: [  OK  ]
Starting iscsid: Loading iSCSI transport class v2.0-870.
iscsi: registered transport (tcp)
iscsi: registered transport (iser)
libcxgbi:libcxgbi_init_module: tag itt 0x1fff, 13 bits, age 0xf, 4 bits.
libcxgbi:ddp_setup_host_page_size: system PAGE 4096, ddp idx 0.
Chelsio T3 iSCSI Driver cxgb3i v2.0.0 (Jun. 2010)
iscsi: registered transport (cxgb3i)
Chelsio T4 iSCSI Driver cxgb4i v0.9.1 (Aug. 2010)
iscsi: registered transport (cxgb4i)
cnic: Broadcom NetXtreme II CNIC Driver cnic v2.5.13 (Sep 07, 2012)
Broadcom NetXtreme II iSCSI Driver bnx2i v2.7.2.2 (Apr 26, 2012)
iscsi: registered transport (bnx2i)
iscsi: registered transport (be2iscsi)
In beiscsi_module_init, tt=ffffffffa034e760
[  OK  ]

>>>vdsm: Failed to define network filters on libvirt[FAILED]<<<

Starting crond: [  OK  ]
Starting rhsmcertd...[  OK  ]
Running  start: 
fuse init (API version 7.13)

Red Hat Storage release 2.1
Kernel 2.6.32-358.14.1.el6.x86_64 on an x86_64

localhost.localdomain login:
Comment 2 Timothy Asir 2013-09-03 02:45:28 EDT
I downloaded the ISO from url: http://download.lab.bos.redhat.com/nightly/RHS-2.1-20130806.n.2/2.1/RHS/x86_64/iso/RHS-2.1-20130806.n.2-RHS-x86_64-DVD1.iso and able to install and restart any number of times without any issue.

As I could not able to reproduce this issue, it would be useful if you can  
provide few more details like:
 * From where did you downloaded this ISO?
 * What is the output of:
     *      python /usr/share/vdsm/nwfilter.pyc
     *      virsh -c qemu:///system nwfilter-list
            (you can use username as vdsm@rhevh and password as : shibboleth)
     *      virsh -c qemu:///system nwfilter-undefine vdsm-no-mac-spoofing

Also, please attach the SOS report for further debugging.
Comment 3 Dan Kenigsberg 2013-11-14 18:08:05 EST
6 weeks with no new information, closing.

http://gerrit.ovirt.org/20788 patch in upstream Vdsm (expected in ovirt-3.4) may eliminate the issue.

Note You need to log in before you can comment on or make changes to this bug.